//----------------------------------------------------------
// Member functions for the Environment class
//----------------------------------------------------------
// Copyright (C) 1993, Nicholas Centanni
//----------------------------------------------------------
#include <stdio.h>
#include <graphics.h>
#include <string.h>
#include <dos.h>
#include <math.h>
#include <opus.h>
#include <op_view.h>
#include <op_color.h>
#include <op_graph.h>
#include "ob_env.h"

//----------------------------------------------------------------------
// Environment records information about the host program
//----------------------------------------------------------------------
Environ::Environ(Viewer *v, Graphics *g, d_Light *l,
                 int video_pages, int view_windows)
{
  viewer = v;
  graphics = g;
  light = l;
  pixel_size = sizeof(i_screen) * video_pages * view_windows;
}

